jQuery(document).ready(function($) {
	function submit() {
		var failed = false;
		var msg = '';
		var val;

		val = $('[name=pdga]').val();
		if(val && window.disc_golf_pdga.indexOf(val) != -1) {
			failed = true;
			msg = 'It looks like a player with the PDGA number you entered already exists in the system.';
		}

		val = '';
		val += $('[name=first_name]').val().toLowerCase().replace(/[^a-z,0-9]/g, '');
		val += '_';
		val += $('[name=last_name]').val().toLowerCase().replace(/[^a-z,0-9]/g, '');
		val += '_';
		val += $('[name=email]').val().toLowerCase();
		if(window.disc_golf_fn_ln_email.indexOf(val) != -1) {
			failed = true;
			msg = 'It looks like a player with the First Name, Last Name, and Email you entered already exists in the system.';
		}

		if(failed) {
			alert(msg);
			$('.spinner').removeClass('is-active');
			$('input[name=save]').removeClass('disabled');
			return false;
		}
	}

	function init() {
		$(document).on('submit', '#post', submit);
	}

	init();
});
