jQuery(document).ready(function($) {
	var original_player_ids = [];
	var original_player_names = [];
	var url_add_player;
	var url_add_player2;

	var temp;

	if(window.disc_golf_initial_save) {
		url_add_player = 'post-new.php?post_type=disc_golf_players&redirect=score';
		url_add_player2 = 'post-new.php?post_type=disc_golf_players&redirect=score2';
	} else {
		url_add_player = 'post-new.php?post_type=disc_golf_players&redirect=score-edit&post_id=' + window.disc_golf_post_id;
		url_add_player2 = 'post-new.php?post_type=disc_golf_players&redirect=score2-edit&post_id=' + window.disc_golf_post_id;
	}

	function buildPlayers() {
		var evt = $('select[name=event]').val();
		var player = $('select[name=player]').val();
		var player2 = $('select[name=player2]').val();
		var html = '';
		var i;
		var players = [];

		html += '<option value="">Please Select...</option>';
		if(evt) {
			for(i = 0; i < original_player_ids.length; i++) {
				if(!window.disc_golf_events[evt] || window.disc_golf_events[evt].indexOf(original_player_ids[i]) == -1) {
					if(original_player_ids[i] == player) {
						html += '<option value="' + original_player_ids[i] + '" selected="selected">' + original_player_names[i] + '</option>';
					} else if(original_player_ids[i] != player2) {
						html += '<option value="' + original_player_ids[i] + '">' + original_player_names[i] + '</option>';
					}
				}
			}
		} else {
			for(i = 0; i < original_player_ids.length; i++) {
				if(original_player_ids[i] == player) {
					html += '<option value="' + original_player_ids[i] + '" selected="selected">' + original_player_names[i] + '</option>';
				} else if(original_player_ids[i] != player2) {
					html += '<option value="' + original_player_ids[i] + '">' + original_player_names[i] + '</option>';
				}
			}
		}

		$('select[name=player]').html(html);
		$('select[name=player]').select2();
	}

	function buildPlayers2() {
		var evt = $('select[name=event]').val();
		var player = $('select[name=player]').val();
		var player2 = $('select[name=player2]').val();
		var html = '';
		var i;
		var players = [];

		html += '<option value="">Please Select...</option>';
		if(evt) {
			for(i = 0; i < original_player_ids.length; i++) {
				if(!window.disc_golf_events[evt] || window.disc_golf_events[evt].indexOf(original_player_ids[i]) == -1) {
					if(original_player_ids[i] == player2) {
						html += '<option value="' + original_player_ids[i] + '" selected="selected">' + original_player_names[i] + '</option>';
					} else if(original_player_ids[i] != player) {
						html += '<option value="' + original_player_ids[i] + '">' + original_player_names[i] + '</option>';
					}
				}
			}
		} else {
			for(i = 0; i < original_player_ids.length; i++) {
				if(original_player_ids[i] == player2) {
					html += '<option value="' + original_player_ids[i] + '" selected="selected">' + original_player_names[i] + '</option>';
				} else if(original_player_ids[i] != player) {
					html += '<option value="' + original_player_ids[i] + '">' + original_player_names[i] + '</option>';
				}
			}
		}

		if(window.disc_golf_doubles_events.indexOf(evt - 0) != -1) {
			console.log('DOUBLES');
			$('#disc_golf_player2').html('<p><label>Player 2: </label><select name="player2"></select>&nbsp;&nbsp;<a href="post-new.php?post_type=disc_golf_players&redirect=score2" class="add_new_player2">Add New Player</a></p>');

			$('select[name=player2]').html(html);
			$('select[name=player2]').select2();
		} else {
			console.log('NO DOUBLES');
			console.log(window.disc_golf_doubles_events.indexOf(evt - 0));
			console.log(window.disc_golf_doubles_events);
			console.log(evt);
			$('#disc_golf_player2').html('');
		}
	}

	function getOriginalPlayers() {
		$('select[name=player] option').each(function() {
			var name = $(this).html();
			var val = $(this).attr('value');
			if(val) {
				original_player_names.push(name);
				original_player_ids.push(val);
			}
		});
	}

	function eventChange() {
		buildPlayers();
		buildPlayers2();
		updateURL();
		updateURL2();
	}

	function playerChange() {
		buildPlayers2();
		updateURL();
		updateURL2();
	}

	function playerChange2() {
		buildPlayers();
		updateURL();
		updateURL2();
	}

	function submit() {
		var failed = false;
		var msg = '';
		var player2 = false;

		if(!$('[name=event]').val()) {
			failed = true;
		}
		if(!$('[name=division]').val()) {
			failed = true;
		}
		if(!$('[name=player]').val()) {
			failed = true;
		}
		if($('[name=player2]').length && !$('[name=player2]').val()) {
			failed = true;
			player2 = true
		}

		if(failed) {
			if(player2) {
				msg = 'Event, Division, Player, and Player 2 are all required fields.';
			} else {
				msg = 'Event, Division, and Player are all required fields.';
			}
			alert(msg);
			$('.spinner').removeClass('is-active');
			$('input[name=save]').removeClass('disabled');
			return false;
		}
	}

	function updateURL() {
		var evt = $('select[name=event]').val();
		var division = $('select[name=division]').val();
		var player2 = $('select[name=player2]').val();

		temp = url_add_player;

		if(evt) {
			temp += '&event=' + evt;
		}
		if(division) {
			temp += '&division=' + division;
		}
		if(player2) {
			temp += '&player2=' + player2;
		}

		$('.add_new_player').attr('href', temp);
	}

	function updateURL2() {
		var evt = $('select[name=event]').val();
		var division = $('select[name=division]').val();
		var player = $('select[name=player]').val();

		temp = url_add_player2;

		if(evt) {
			temp += '&event=' + evt;
		}
		if(division) {
			temp += '&division=' + division;
		}
		if(player) {
			temp += '&player=' + player;
		}

		$('.add_new_player2').attr('href', temp);
	}


	function init() {
		getOriginalPlayers();

		$(document).on('change', 'select[name=event]', eventChange);
		$(document).on('change', 'select[name=division]', updateURL);
		$(document).on('change', 'select[name=division]', updateURL2);
		$(document).on('change', 'select[name=player]', playerChange);
		$(document).on('change', 'select[name=player2]', playerChange2);

		$(document).on('submit', '#post', submit);

		buildPlayers();
		buildPlayers2();
		updateURL();
		updateURL2();
	}

	init();
});
