jQuery(document).ready(function($) {
	function submit() {
		var failed = false;
		var msg = '';
		var val;

		val = $('[name=post_title]').val();
		if(!val) {
			failed = true;
			msg += 'Title is required.';
			msg += '\n';
		}

		val = $('[name=start_date]').val();
		if(!val) {
			failed = true;
			msg += 'Start Date is required.';
			msg += '\n';
		}

		val = $('[name=end_date]').val();
		if(!val) {
			failed = true;
			msg += 'End Date is required.';
			msg += '\n';
		}

		val = $('[name=points_participation]').val();
		if(!val) {
			failed = true;
			msg += 'Participation Points is required.';
			msg += '\n';
		}

		val = $('[name=points_per_player_beat]').val();
		if(!val) {
			failed = true;
			msg += 'Points Per Player Beat is required.';
			msg += '\n';
		}

		val = $('[name=points_division_win]').val();
		if(!val) {
			failed = true;
			msg += 'Division Wins Points is required.';
			msg += '\n';
		}


		if(failed) {
			alert(msg);
			$('.spinner').removeClass('is-active');
			$('input[name=save]').removeClass('disabled');
			return false;
		}
	}

	function init() {
		$(document).on('submit', '#post', submit);
	}

	init();
});
