<div class="wrap" id="meta-prune-page">
	<h1 class="wp-heading-inline">Import</h1>
	<hr class="wp-header-end">

	<div id="ajax-response"></div>

	<?php if($success): ?>
	<div class="updated notice">
	<p><?php echo esc_html($success); ?></p>
	</div>
	<?php endif; ?>

	<?php if($error): ?>
	<div class="error notice">
	<p><?php echo esc_html($error); ?></p>
	</div>
	<?php endif; ?>

	<form action="admin-ajax.php" method="post" enctype="multipart/form-data">
		<?php wp_nonce_field( 'disc_golf_import' ); ?>
		<input name="action" type="hidden" value="disc_golf_import" />
		<table class="form-table">
			<tr class="form-field form-required">
				<th scope="row"><label>Event</label></th>
				<td><?php echo $events; ?></td>
			</tr>
			<tr class="form-field form-required">
				<th scope="row"><label>File (.xlsx)</label></th>
				<td><input type="file" name="file" /></td>
			</tr>
			<tr class="form-field form-required">
				<td></td>
				<td><label><input type="checkbox" name="clear" value="yes" /> Clear existing scores.</label></td>
			</tr>
		</table>
		<p class="submit">
			<input type="submit" name="submit" id="submit" class="button button-primary" value="Update List">
		</p>
	</form>
</div>
