<div class="wrap" id="meta-prune-page">
	<h1 class="wp-heading-inline">Settings</h1>
	<hr class="wp-header-end">

	<div id="ajax-response"></div>

	<?php if($success): ?>
	<div class="updated notice">
	<p><?php echo esc_html($success); ?></p>
	</div>
	<?php endif; ?>

	<?php if($error): ?>
	<div class="error notice">
	<p><?php echo esc_html($error); ?></p>
	</div>
	<?php endif; ?>

	<form action="admin-ajax.php" method="post" enctype="multipart/form-data">
		<?php wp_nonce_field( 'disc_golf_settings' ); ?>
		<input name="action" type="hidden" value="disc_golf_settings" />
		<table class="form-table">
			<tr class="form-field form-required">
				<th scope="row"><label>Event Shortcode Location</label></th>
				<td><?php echo $event; ?></td>
			</tr>
			<tr class="form-field form-required">
				<th scope="row"><label>League Shortcode Location</label></th>
				<td><?php echo $league; ?></td>
			</tr>
			<tr class="form-field form-required">
				<th scope="row"><label>Player Shortcode Location</label></th>
				<td><?php echo $player; ?></td>
			</tr>
		</table>
		<p class="submit">
			<input type="submit" name="submit" id="submit" class="button button-primary" value="Update">
		</p>
	</form>
</div>
